
CoCoALib - Feature #1388

GlobalManager: create SignalWatcher internally?

09 Jan 2020 13:47 - John Abbott

Status: New Start date: 09 Jan 2020

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Safety Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.25 hour

Description

Should the GlobalManager have the ability to create a SignalWatcher?

If so, should the default be to create a SignalWatcher or not to create one?

Related issues:

Related to CoCoALib - Design #982: Catching interrupts in example progs? Closed 25 Nov 2016

Related to CoCoA-5 - Bug #1385: valgrind: reports 456byte leak Closed 07 Jan 2020

History

#1 - 09 Jan 2020 13:48 - John Abbott

- Related to Design #982: Catching interrupts in example progs? added

#2 - 09 Jan 2020 13:52 - John Abbott

Is there any disadvantage to creating a SignalWatcher always?

I think it incurs essentially no run-time cost.

After reading #982, it seems that the recommended use of a SignalWatcher is to create it right after creating the GlobalManager; so perhaps the GM

itself could create the SW?

Someone who wants an uninterruptible program would not want a SignalWatcher to be created; this seems like an "unusual" case to me.

#3 - 09 Jan 2020 13:52 - John Abbott

- Related to Bug #1385: valgrind: reports 456byte leak added

#4 - 29 Oct 2020 12:52 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#5 - 01 Mar 2024 09:49 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880

Powered by TCPDF (www.tcpdf.org)

29 Apr 2024 1/1

https://cocoa.dima.unige.it/redmine/issues/982
http://www.tcpdf.org

